Check whether an address is blocked

Checks whether an email address is currently blocked and returns the matching block rule when one applies.

POST
/v1/email/blocks/check

Checks whether an email address is currently blocked and returns the matching block rule when one applies.

Authorization

apiKey
headerx-api-key<token>

Request Body

application/json
  1. body
emailAddress*string

Response Body

Success

application/json
  1. response
isBlocked*boolean
blockingRule*|null
reason*string|null
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.email.checkBlocked({  "emailAddress": "example"});
Example Response
{  "isBlocked": true,  "blockingRule": {    "id": "string",    "blockType": "email",    "blockValue": "string",    "reason": "string",    "expiresAt": "string"  },  "reason": "string"}

Related documentation